#include "CommandlineOptions.hh"
#include "ComputeTriangs.hh"
#include "helpers.hh"
#include "version.hh"

std::string get_mptopcom_version() {
   std::string result("mptopcom ");
   result += std::string(MPTOPCOM_VERSION_STRING);
   return result;
}

int main(const int argc, const char** argv) {
  std::cerr << get_mptopcom_version() << std::endl;
  CommandlineOptions::init(argc, argv);
  if(CommandlineOptions::print_version()){
     return 0;
  }
  return (ComputeTriangs::run(OUTPUT_TRIANGS + MPTRY));
}
